Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWParser Class Reference

`#include <ABWParser.h>`

## Public Member Functions
| ABWParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *iface)
virtual | ~ABWParser ()
bool | parse ()

## Private Member Functions
| ABWParser ()
| ABWParser (const ABWParser &)
ABWParser & | operator= (const ABWParser &)
int | getElementToken (xmlTextReaderPtr reader)
bool | processXmlDocument (librevenge::RVNGInputStream *input)
int | processXmlNode (xmlTextReaderPtr reader)
void | readAbiword (xmlTextReaderPtr reader)
void | readM (xmlTextReaderPtr reader)
int | readHistory (xmlTextReaderPtr reader)
int | readRevisions (xmlTextReaderPtr reader)
int | readIgnoredWords (xmlTextReaderPtr reader)
void | readPageSize (xmlTextReaderPtr reader)
void | readSection (xmlTextReaderPtr reader)
void | readA (xmlTextReaderPtr reader)
void | readC (xmlTextReaderPtr reader)
int | readD (xmlTextReaderPtr reader)
void | readL (xmlTextReaderPtr reader)
void | readP (xmlTextReaderPtr reader)
void | readS (xmlTextReaderPtr reader)
void | readEndnote (xmlTextReaderPtr reader)
void | readFoot (xmlTextReaderPtr reader)
void | readField (xmlTextReaderPtr reader)
void | readImage (xmlTextReaderPtr reader)
void | readTable (xmlTextReaderPtr reader)
void | readCell (xmlTextReaderPtr reader)
void | readFrame (xmlTextReaderPtr reader)
void | readCloseFrame ()

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGTextInterface * | m_iface
std::unique_ptr< ABWCollector > | m_collector
std::unique_ptr< ABWParserState > | m_state

## Constructor & Destructor Documentation

## ◆ ABWParser() [1/3]

libabw::ABWParser::ABWParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | iface
| ) |  |
| explicit

## ◆ ~ABWParser()

libabw::ABWParser::~ABWParser | ( |  | ) |
| virtual

## ◆ ABWParser() [2/3]

libabw::ABWParser::ABWParser | ( |  | ) |
| private

## ◆ ABWParser() [3/3]

libabw::ABWParser::ABWParser | ( | const ABWParser & |  | ) |
| private

## Member Function Documentation

## ◆ getElementToken()

int libabw::ABWParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ operator=()

ABWParser& libabw::ABWParser::operator= | ( | const ABWParser & |  | ) |
| private

## ◆ parse()

bool libabw::ABWParser::parse | ( |  | ) |

## ◆ processXmlDocument()

bool libabw::ABWParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input | ) |
| private

## ◆ processXmlNode()

int libabw::ABWParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readA()

void libabw::ABWParser::readA | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readAbiword()

void libabw::ABWParser::readAbiword | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readC()

void libabw::ABWParser::readC | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readCell()

void libabw::ABWParser::readCell | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readCloseFrame()

void libabw::ABWParser::readCloseFrame | ( |  | ) |
| private

## ◆ readD()

int libabw::ABWParser::readD | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readEndnote()

void libabw::ABWParser::readEndnote | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readField()

void libabw::ABWParser::readField | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readFoot()

void libabw::ABWParser::readFoot | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readFrame()

void libabw::ABWParser::readFrame | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readHistory()

int libabw::ABWParser::readHistory | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readIgnoredWords()

int libabw::ABWParser::readIgnoredWords | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readImage()

void libabw::ABWParser::readImage | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readL()

void libabw::ABWParser::readL | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readM()

void libabw::ABWParser::readM | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readP()

void libabw::ABWParser::readP | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readPageSize()

void libabw::ABWParser::readPageSize | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readRevisions()

int libabw::ABWParser::readRevisions | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readS()

void libabw::ABWParser::readS | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readSection()

void libabw::ABWParser::readSection | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readTable()

void libabw::ABWParser::readTable | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

## ◆ m_collector

std::unique_ptr<ABWCollector> libabw::ABWParser::m_collector
| private

## ◆ m_iface

librevenge::RVNGTextInterface* libabw::ABWParser::m_iface
| private

## ◆ m_input

librevenge::RVNGInputStream* libabw::ABWParser::m_input
| private

## ◆ m_state

std::unique_ptr<ABWParserState> libabw::ABWParser::m_state
| private

The documentation for this class was generated from the following files:

- ABWParser.h
- ABWParser.cpp